Bug 1286511 - Header error from dataoperf-record
Header error from dataoperf-record
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: oprofile (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: William Cohen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-30 00:39 EST by Phil Regier
Modified: 2015-12-18 02:54 EST (History)
1 user (show)

See Also:
Fixed In Version: oprofile-1.1.0-2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-18 02:54:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Regier 2015-11-30 00:39:55 EST
Description of problem:  operf bails with header error



Version-Release number of selected component (if applicable):  oprofile-1.0.0-6.fc23.x86_64



How reproducible:  Always



Steps to Reproduce:

$ operf sleep 1



Actual results:

operf: Profiler started
Error: operf sample data does not have expected header dataoperf-record process killed by signal 13



Expected results:

operf runs and oprofile_data/samples directory is populated with data


Additional info:

http://sourceforge.net/p/oprofile/mailman/message/34299873/

Rawhide RPM (oprofile-1.1.0-1.fc24.x86_64) appears to work fine as a drop-in replacement for the F23 version, so I think all we need is a rebuild for F23 from the rawhide source.
Comment 1 Fedora Update System 2015-11-30 14:48:18 EST
oprofile-1.1.0-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-b80ca787a7
Comment 2 Fedora Update System 2015-12-01 17:31:02 EST
oprofile-1.1.0-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update oprofile'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-b80ca787a7
Comment 3 Fedora Update System 2015-12-18 02:54:14 EST
oprofile-1.1.0-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.